## rmatrix 1.5-3

=== debian/changelog ===
rmatrix (1.5-3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 12)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Nov 2022 14:08:08 -0600

=== debian/control ===
Source: rmatrix
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.2.2), r-cran-lattice (>= 0.12-11.1)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
Homepage: https://cran.r-project.org/package=Matrix

Package: r-cran-matrix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-lattice
Description: GNU R package of classes for dense and sparse matrices
 This CRAN package provides S4 classes and methods for numerical
 linear algebra using dense or sparse matrices.  The sparse matrix
 implementation uses code from the LDL sparse matrix package and 
 code from the Metis package of partitioning algorithms.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/Matrix_(.*)\.tar\.gz

## rmatrix 1.5-4.1

=== debian/changelog ===
rmatrix (1.5-4.1-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Sat, 03 Jun 2023 13:32:05 +0000

rmatrix (1.5-4.1-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 May 2023 07:21:01 -0500

rmatrix (1.5-4-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Apr 2023 22:51:53 -0500

rmatrix (1.5-1-2) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 12)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Nov 2022 14:05:22 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.2.2), r-cran-lattice (>= 0.12-11.1)
-Standards-Version: 4.6.1
+Build-Depends: debhelper, dh-r, r-base-dev (>= 4.3.0), r-cran-lattice (>= 0.12-11.1)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
 Homepage: https://cran.r-project.org/package=Matrix

## rmatrix 1.6

=== src/CHOLMOD/Lib/Makefile ===
#===============================================================================
# CHOLOMD/Lib/Makefile: for compiling the CHOLMOD library
#===============================================================================

default: lib

PKG_CPPFLAGS = -I../../AMD/Include -I../../AMD/Source \
        -I../../COLAMD/Include \
	-I../Include -I../../SuiteSparse_config -DNPARTITION -DNPRINT
#	 -I../../CCOLAMD \
#        -I../../CAMD/Include -I../../CAMD/Source \
#	-I../../Metis \

#-------------------------------------------------------------------------------
# ../Include/ directory contains all include files:
#-------------------------------------------------------------------------------

INC =   ../Include/cholmod.h \
	../Include/cholmod_blas.h \
	../Include/cholmod_check.h \
	../Include/cholmod_cholesky.h \
	../Include/cholmod_complexity.h \
	../Include/cholmod_config.h \
	../Include/cholmod_core.h \
	../Include/cholmod_internal.h \
	../Include/cholmod_matrixops.h \
	../Include/cholmod_modify.h \
	../Include/cholmod_partition.h \
	../Include/cholmod_supernodal.h \
	../Include/cholmod_template.h

#-------------------------------------------------------------------------------
# The 7 CHOLMOD library modules (int, double)
#-------------------------------------------------------------------------------

CORE = cholmod_aat.o cholmod_add.o cholmod_band.o \
	cholmod_change_factor.o cholmod_common.o cholmod_complex.o \
	cholmod_copy.o cholmod_dense.o cholmod_error.o cholmod_factor.o \
	cholmod_memory.o cholmod_sparse.o \
	cholmod_transpose.o cholmod_triplet.o \
        cholmod_version.o

CHECK = cholmod_check.o cholmod_read.o cholmod_write.o

CHOLESKY = cholmod_amd.o cholmod_analyze.o cholmod_colamd.o \
	cholmod_etree.o cholmod_factorize.o cholmod_postorder.o \
	cholmod_rcond.o cholmod_resymbol.o cholmod_rowcolcounts.o \
	cholmod_rowfac.o cholmod_solve.o cholmod_spsolve.o

MATRIXOPS = cholmod_drop.o cholmod_horzcat.o cholmod_norm.o \
	cholmod_scale.o cholmod_sdmult.o cholmod_ssmult.o \
	cholmod_submatrix.o cholmod_vertcat.o cholmod_symmetry.o

PARTITION = cholmod_ccolamd.o cholmod_csymamd.o \
	cholmod_metis.o cholmod_nesdis.o cholmod_camd.o

MODIFY = cholmod_rowadd.o cholmod_rowdel.o cholmod_updown.o

SUPERNODAL = cholmod_super_numeric.o cholmod_super_solve.o \
	cholmod_super_symbolic.o

DI = $(CORE) $(CHECK) $(CHOLESKY) $(MATRIXOPS) $(MODIFY) $(SUPERNODAL) # $(PARTITION)

#-------------------------------------------------------------------------------
# CHOLMOD library modules (long, double)
#-------------------------------------------------------------------------------

LCORE = cholmod_l_aat.o cholmod_l_add.o cholmod_l_band.o \
	cholmod_l_change_factor.o cholmod_l_common.o cholmod_l_complex.o \
	cholmod_l_copy.o cholmod_l_dense.o cholmod_l_error.o \
	cholmod_l_factor.o cholmod_l_memory.o \
	cholmod_l_sparse.o cholmod_l_transpose.o cholmod_l_triplet.o \
        cholmod_l_version.o

LCHECK = cholmod_l_check.o cholmod_l_read.o cholmod_l_write.o

LCHOLESKY = cholmod_l_amd.o cholmod_l_analyze.o cholmod_l_colamd.o \
	cholmod_l_etree.o cholmod_l_factorize.o cholmod_l_postorder.o \
	cholmod_l_rcond.o cholmod_l_resymbol.o cholmod_l_rowcolcounts.o \
	cholmod_l_rowfac.o cholmod_l_solve.o cholmod_l_spsolve.o

LMATRIXOPS = cholmod_l_drop.o cholmod_l_horzcat.o cholmod_l_norm.o \
	cholmod_l_scale.o cholmod_l_sdmult.o cholmod_l_ssmult.o \
	cholmod_l_submatrix.o cholmod_l_vertcat.o cholmod_l_symmetry.o

LPARTITION = cholmod_l_ccolamd.o cholmod_l_csymamd.o \
	cholmod_l_metis.o cholmod_l_nesdis.o cholmod_l_camd.o

LMODIFY = cholmod_l_rowadd.o cholmod_l_rowdel.o cholmod_l_updown.o

LSUPERNODAL = cholmod_l_super_numeric.o cholmod_l_super_solve.o \
	cholmod_l_super_symbolic.o

DL = $(LCORE) $(LCHECK) $(LCHOLESKY) $(LMATRIXOPS) $(LMODIFY) $(LSUPERNODAL) #$(LPARTITION)

#-------------------------------------------------------------------------------

OBJS = $(DI) $(DL)
#              ^^  With 64-bit being standard,
# we want to have e.g. dense n x m matrices  where  n x m  >> max_int,
# and this *only* works for the *_l_* routines, i.e., those compiled with
# 'DLONG' defined.

LIB = ../../CHOLMOD.a

C = $(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS)

lib: $(LIB)

$(LIB): $(OBJS)
	$(AR) -rucs $(LIB) $(OBJS)

mostlyclean: clean

clean:
	@-rm -rf .libs _libs $(LIB)
	@-rm -f $(OBJS)

$(OBJ): $(INC)

#-------------------------------------------------------------------------------
# Check Module:
#-------------------------------------------------------------------------------

cholmod_check.o: ../Check/cholmod_check.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Check/cholmod_check.c -o $@
cholmod_read.o: ../Check/cholmod_read.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Check/cholmod_read.c -o $@
cholmod_write.o: ../Check/cholmod_write.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Check/cholmod_write.c -o $@

#-------------------------------------------------------------------------------

cholmod_l_check.o: ../Check/cholmod_check.c
	$(C) -DDLONG -c $(I) ../Check/cholmod_check.c -o $@

cholmod_l_read.o: ../Check/cholmod_read.c
	$(C) -DDLONG -c $(I) ../Check/cholmod_read.c -o $@

cholmod_l_write.o: ../Check/cholmod_write.c
	$(C) -DDLONG -c $(I) ../Check/cholmod_write.c -o $@


#-------------------------------------------------------------------------------
# Core Module:
#-------------------------------------------------------------------------------

cholmod_common.o: ../Core/cholmod_common.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_common.c -o $@
cholmod_dense.o: ../Core/cholmod_dense.c ../Core/t_cholmod_dense.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_dense.c -o $@
cholmod_factor.o: ../Core/cholmod_factor.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_factor.c -o $@
cholmod_change_factor.o: ../Core/cholmod_change_factor.c \
	../Core/t_cholmod_change_factor.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_change_factor.c -o $@
cholmod_memory.o: ../Core/cholmod_memory.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_memory.c -o $@
cholmod_sparse.o: ../Core/cholmod_sparse.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_sparse.c -o $@
cholmod_complex.o: ../Core/cholmod_complex.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_complex.c -o $@
cholmod_transpose.o: ../Core/cholmod_transpose.c ../Core/t_cholmod_transpose.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_transpose.c -o $@
cholmod_band.o: ../Core/cholmod_band.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_band.c -o $@
cholmod_copy.o: ../Core/cholmod_copy.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_copy.c -o $@
cholmod_triplet.o: ../Core/cholmod_triplet.c ../Core/t_cholmod_triplet.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_triplet.c -o $@
cholmod_error.o: ../Core/cholmod_error.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_error.c -o $@
cholmod_aat.o: ../Core/cholmod_aat.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_aat.c -o $@
cholmod_add.o: ../Core/cholmod_add.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_add.c -o $@

cholmod_version.o: ../Core/cholmod_version.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Core/cholmod_version.c -o $@

#-------------------------------------------------------------------------------

cholmod_l_common.o: ../Core/cholmod_common.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_common.c -o $@

cholmod_l_dense.o: ../Core/cholmod_dense.c ../Core/t_cholmod_dense.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_dense.c -o $@

cholmod_l_factor.o: ../Core/cholmod_factor.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_factor.c -o $@

cholmod_l_change_factor.o: ../Core/cholmod_change_factor.c \
	../Core/t_cholmod_change_factor.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_change_factor.c -o $@

cholmod_l_memory.o: ../Core/cholmod_memory.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_memory.c -o $@

cholmod_l_sparse.o: ../Core/cholmod_sparse.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_sparse.c -o $@

cholmod_l_complex.o: ../Core/cholmod_complex.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_complex.c -o $@

cholmod_l_transpose.o: ../Core/cholmod_transpose.c ../Core/t_cholmod_transpose.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_transpose.c -o $@

cholmod_l_band.o: ../Core/cholmod_band.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_band.c -o $@

cholmod_l_copy.o: ../Core/cholmod_copy.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_copy.c -o $@

cholmod_l_triplet.o: ../Core/cholmod_triplet.c ../Core/t_cholmod_triplet.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_triplet.c -o $@

cholmod_l_error.o: ../Core/cholmod_error.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_error.c -o $@

cholmod_l_aat.o: ../Core/cholmod_aat.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_aat.c -o $@

cholmod_l_add.o: ../Core/cholmod_add.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_add.c -o $@

cholmod_l_version.o: ../Core/cholmod_version.c
	$(C) -DDLONG -c $(I) ../Core/cholmod_version.c -o $@


#-------------------------------------------------------------------------------
# Cholesky Module:
#-------------------------------------------------------------------------------

cholmod_amd.o: ../Cholesky/cholmod_amd.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_amd.c -o $@
cholmod_analyze.o: ../Cholesky/cholmod_analyze.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_analyze.c -o $@
cholmod_colamd.o: ../Cholesky/cholmod_colamd.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_colamd.c -o $@
cholmod_etree.o: ../Cholesky/cholmod_etree.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_etree.c -o $@
cholmod_factorize.o: ../Cholesky/cholmod_factorize.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_factorize.c -o $@
cholmod_postorder.o: ../Cholesky/cholmod_postorder.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_postorder.c -o $@
cholmod_rcond.o: ../Cholesky/cholmod_rcond.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_rcond.c -o $@
cholmod_resymbol.o: ../Cholesky/cholmod_resymbol.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_resymbol.c -o $@
cholmod_rowcolcounts.o: ../Cholesky/cholmod_rowcolcounts.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_rowcolcounts.c -o $@
cholmod_solve.o: ../Cholesky/cholmod_solve.c ../Cholesky/t_cholmod_lsolve.c \
	../Cholesky/t_cholmod_ltsolve.c ../Cholesky/t_cholmod_solve.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_solve.c -o $@
cholmod_spsolve.o: ../Cholesky/cholmod_spsolve.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_spsolve.c -o $@
cholmod_rowfac.o: ../Cholesky/cholmod_rowfac.c ../Cholesky/t_cholmod_rowfac.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c ../Cholesky/cholmod_rowfac.c -o $@

#-------------------------------------------------------------------------------

cholmod_l_amd.o: ../Cholesky/cholmod_amd.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_amd.c -o $@

cholmod_l_analyze.o: ../Cholesky/cholmod_analyze.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_analyze.c -o $@

cholmod_l_colamd.o: ../Cholesky/cholmod_colamd.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_colamd.c -o $@

cholmod_l_etree.o: ../Cholesky/cholmod_etree.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_etree.c -o $@

cholmod_l_factorize.o: ../Cholesky/cholmod_factorize.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_factorize.c -o $@

cholmod_l_postorder.o: ../Cholesky/cholmod_postorder.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_postorder.c -o $@

cholmod_l_rcond.o: ../Cholesky/cholmod_rcond.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_rcond.c -o $@

cholmod_l_resymbol.o: ../Cholesky/cholmod_resymbol.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_resymbol.c -o $@

cholmod_l_rowcolcounts.o: ../Cholesky/cholmod_rowcolcounts.c
	$(C) -DDLONG -c $(I) ../Cholesky/cholmod_rowcolcounts.c -o $@

cholmod_l_solve.o: ../Cholesky/cholmod_solve.c ../Cholesky/t_cholmod_lsolve.c \
	../Cholesky/t_cholmod_ltsolve.c ../Cholesky/t_cholmod_solve.c

=== src/COLAMD/Source/Makefile ===
PKG_CPPFLAGS = -I../Include -I../../SuiteSparse_config

LIB = ../../COLAMD.a

lib: $(LIB)

colamd_l.o: colamd.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -I../Include -DDLONG -c colamd.c -o $@

$(LIB): colamd.o colamd_l.o
	$(AR) -rucs $(LIB) colamd.o colamd_l.o

mostlyclean: clean

clean:
	@-rm -rf .libs _libs $(LIB)
	@-rm -f *.o

## rmatrix 1.6-0

=== debian/changelog ===
rmatrix (1.6-0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 08 Jul 2023 08:37:35 -0500

rmatrix (1.5-4.1-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jun 2023 09:41:13 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, dh-r, r-base-dev (>= 4.3.0), r-cran-lattice (>= 0.12-11.1)
+Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.3.1), r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git

## rmatrix 1.6-1

=== debian/changelog ===
rmatrix (1.6-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Aug 2023 08:06:27 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.3.1), r-cran-lattice (>= 0.12-11.1)
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.1), r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git

## rmatrix 1.6-1.1

=== debian/changelog ===
rmatrix (1.6-1.1-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Thu, 05 Oct 2023 00:56:42 +0000

rmatrix (1.6-1.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 Sep 2023 20:08:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.1), r-cran-lattice (>= 0.12-11.1)
+Build-Depends: debhelper, dh-r, r-base-dev (>= 4.3.1), r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git

## rmatrix 1.6-2

=== debian/changelog ===
rmatrix (1.6-2-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Fri, 10 Nov 2023 21:04:35 +0000

rmatrix (1.6-2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Nov 2023 19:49:31 -0600

## rmatrix 1.6-3

=== debian/changelog ===
rmatrix (1.6-3-1.1804.0) bionic; urgency=medium

  * Compilation for Ubuntu 18.04.6 LTS
  * Remove dependency for R 4.0.0 for backports in Ubuntu
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler < 10

 -- Michael Rutter <marutter@gmail.com>  Sat, 25 Nov 2023 14:55:23 +0000

rmatrix (1.6-3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 14 Nov 2023 07:32:54 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, dh-r, r-base-dev (>= 4.3.1), r-cran-lattice (>= 0.12-11.1)
+Build-Depends: debhelper, dh-r, r-base-dev, dh-r, r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git

## rmatrix 1.6-5

=== debian/changelog ===
rmatrix (1.6-5-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 11 Jan 2024 21:33:49 -0600

rmatrix (1.6-4-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Dec 2023 06:43:33 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, dh-r, r-base-dev, dh-r, r-cran-lattice (>= 0.12-11.1)
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.2), r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git

## rmatrix 1.7

=== DESCRIPTION ===
Package: Matrix
Version: 1.7-3
VersionNote: do also bump src/version.h, inst/include/Matrix/version.h
Date: 2025-03-05
Priority: recommended
Title: Sparse and Dense Matrix Classes and Methods
Description: A rich hierarchy of sparse and dense matrix classes,
	including general, symmetric, triangular, and diagonal matrices
	with numeric, logical, or pattern entries.  Efficient methods for
	operating on such matrices, often wrapping the 'BLAS', 'LAPACK',
	and 'SuiteSparse' libraries.
License: GPL (>= 2) | file LICENCE
URL: https://Matrix.R-forge.R-project.org
BugReports: https://R-forge.R-project.org/tracker/?atid=294&group_id=61
Contact: Matrix-authors@R-project.org
Authors@R: 
	c(person("Douglas", "Bates", role = "aut",
	         comment = c(ORCID = "0000-0001-8316-9503")),
	  person("Martin", "Maechler", role = c("aut", "cre"),
	         email = "mmaechler+Matrix@gmail.com",
	         comment = c(ORCID = "0000-0002-8685-9910")),
	  person("Mikael", "Jagan", role = "aut",
	         comment = c(ORCID = "0000-0002-3542-2938")),
	  person("Timothy A.", "Davis", role = "ctb",
	         comment = c(ORCID = "0000-0001-7614-6899",
	                     "SuiteSparse libraries",
	                     "collaborators listed in dir(system.file(\"doc\", \"SuiteSparse\", package=\"Matrix\"), pattern=\"License\", full.names=TRUE, recursive=TRUE)")),
	  person("George", "Karypis", role = "ctb",
	         comment = c(ORCID = "0000-0003-2753-1437",
	                     "METIS library",
	                     "Copyright: Regents of the University of Minnesota")),
	  person("Jason", "Riedy", role = "ctb",
	         comment = c(ORCID = "0000-0002-4345-4200",
	                     "GNU Octave's condest() and onenormest()",
	                     "Copyright: Regents of the University of California")),
	  person("Jens", "Oehlschlägel", role = "ctb",
	         comment = "initial nearPD()"),
	  person("R Core Team", role = "ctb",
	         comment = c(ROR = "02zz1nj61", "base R's matrix implementation")))
Depends: R (>= 4.4), methods
Imports: grDevices, graphics, grid, lattice, stats, utils
Suggests: MASS, datasets, sfsmisc, tools
Enhances: SparseM, graph
LazyData: no
LazyDataNote: not possible, since we use data/*.R and our S4 classes
BuildResaveData: no
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2025-03-05 09:59:22 UTC; maechler
Author: Douglas Bates [aut] (<https://orcid.org/0000-0001-8316-9503>),
  Martin Maechler [aut, cre] (<https://orcid.org/0000-0002-8685-9910>),
  Mikael Jagan [aut] (<https://orcid.org/0000-0002-3542-2938>),
  Timothy A. Davis [ctb] (<https://orcid.org/0000-0001-7614-6899>,
    SuiteSparse libraries, collaborators listed in
    dir(system.file("doc", "SuiteSparse", package="Matrix"),
    pattern="License", full.names=TRUE, recursive=TRUE)),
  George Karypis [ctb] (<https://orcid.org/0000-0003-2753-1437>, METIS
    library, Copyright: Regents of the University of Minnesota),
  Jason Riedy [ctb] (<https://orcid.org/0000-0002-4345-4200>, GNU
    Octave's condest() and onenormest(), Copyright: Regents of the
    University of California),
  Jens Oehlschlägel [ctb] (initial nearPD()),
  R Core Team [ctb] (02zz1nj61, base R's matrix implementation)
Maintainer: Martin Maechler <mmaechler+Matrix@gmail.com>
Repository: CRAN
Date/Publication: 2025-03-11 07:20:02 UTC

=== src/SuiteSparse/CHOLMOD/Makefile ===
sources = \
	Check/cholmod_check.c Check/cholmod_l_check.c \
	Check/cholmod_read.c  Check/cholmod_l_read.c \
	Check/cholmod_write.c Check/cholmod_l_write.c \
	Cholesky/cholmod_amd.c          Cholesky/cholmod_l_amd.c \
	Cholesky/cholmod_analyze.c      Cholesky/cholmod_l_analyze.c \
	Cholesky/cholmod_colamd.c       Cholesky/cholmod_l_colamd.c \
	Cholesky/cholmod_etree.c        Cholesky/cholmod_l_etree.c \
	Cholesky/cholmod_factorize.c    Cholesky/cholmod_l_factorize.c \
	Cholesky/cholmod_postorder.c    Cholesky/cholmod_l_postorder.c \
	Cholesky/cholmod_rcond.c        Cholesky/cholmod_l_rcond.c \
	Cholesky/cholmod_resymbol.c     Cholesky/cholmod_l_resymbol.c \
	Cholesky/cholmod_rowcolcounts.c Cholesky/cholmod_l_rowcolcounts.c \
	Cholesky/cholmod_rowfac.c       Cholesky/cholmod_l_rowfac.c \
	Cholesky/cholmod_solve.c        Cholesky/cholmod_l_solve.c \
	Cholesky/cholmod_spsolve.c      Cholesky/cholmod_l_spsolve.c \
	Utility/cholmod_aat.c                Utility/cholmod_l_aat.c \
	Utility/cholmod_add.c                Utility/cholmod_l_add.c \
	Utility/cholmod_add_size_t.c         Utility/cholmod_l_add_size_t.c \
	Utility/cholmod_alloc_factor.c       Utility/cholmod_l_alloc_factor.c \
	Utility/cholmod_alloc_work.c         Utility/cholmod_l_alloc_work.c \
	Utility/cholmod_allocate_dense.c     Utility/cholmod_l_allocate_dense.c \
	Utility/cholmod_allocate_factor.c    Utility/cholmod_l_allocate_factor.c \
	Utility/cholmod_allocate_sparse.c    Utility/cholmod_l_allocate_sparse.c \
	Utility/cholmod_allocate_triplet.c   Utility/cholmod_l_allocate_triplet.c \
	Utility/cholmod_allocate_work.c      Utility/cholmod_l_allocate_work.c \
	Utility/cholmod_band.c               Utility/cholmod_l_band.c \
	Utility/cholmod_band_nnz.c           Utility/cholmod_l_band_nnz.c \
	Utility/cholmod_calloc.c             Utility/cholmod_l_calloc.c \
	Utility/cholmod_change_factor.c      Utility/cholmod_l_change_factor.c \
	Utility/cholmod_clear_flag.c         Utility/cholmod_l_clear_flag.c \
	Utility/cholmod_copy.c               Utility/cholmod_l_copy.c \
	Utility/cholmod_copy_dense.c         Utility/cholmod_l_copy_dense.c \
	Utility/cholmod_copy_dense2.c        Utility/cholmod_l_copy_dense2.c \
	Utility/cholmod_copy_factor.c        Utility/cholmod_l_copy_factor.c \
	Utility/cholmod_copy_sparse.c        Utility/cholmod_l_copy_sparse.c \
	Utility/cholmod_copy_triplet.c       Utility/cholmod_l_copy_triplet.c \
	Utility/cholmod_cumsum.c             Utility/cholmod_l_cumsum.c \
	Utility/cholmod_dbound.c             Utility/cholmod_l_dbound.c \
	Utility/cholmod_defaults.c           Utility/cholmod_l_defaults.c \
	Utility/cholmod_dense_nnz.c          Utility/cholmod_l_dense_nnz.c \
	Utility/cholmod_dense_to_sparse.c    Utility/cholmod_l_dense_to_sparse.c \
	Utility/cholmod_divcomplex.c         Utility/cholmod_l_divcomplex.c \
	Utility/cholmod_ensure_dense.c       Utility/cholmod_l_ensure_dense.c \
	Utility/cholmod_error.c              Utility/cholmod_l_error.c \
	Utility/cholmod_eye.c                Utility/cholmod_l_eye.c \
	Utility/cholmod_factor_to_sparse.c   Utility/cholmod_l_factor_to_sparse.c \
	Utility/cholmod_finish.c             Utility/cholmod_l_finish.c \
	Utility/cholmod_free.c               Utility/cholmod_l_free.c \
	Utility/cholmod_free_dense.c         Utility/cholmod_l_free_dense.c \
	Utility/cholmod_free_factor.c        Utility/cholmod_l_free_factor.c \
	Utility/cholmod_free_sparse.c        Utility/cholmod_l_free_sparse.c \
	Utility/cholmod_free_triplet.c       Utility/cholmod_l_free_triplet.c \
	Utility/cholmod_free_work.c          Utility/cholmod_l_free_work.c \
	Utility/cholmod_hypot.c              Utility/cholmod_l_hypot.c \
	Utility/cholmod_malloc.c             Utility/cholmod_l_malloc.c \
	Utility/cholmod_maxrank.c            Utility/cholmod_l_maxrank.c \
	Utility/cholmod_memdebug.c \
	Utility/cholmod_mult_size_t.c        Utility/cholmod_l_mult_size_t.c \
	Utility/cholmod_mult_uint64_t.c \
	Utility/cholmod_nnz.c                Utility/cholmod_l_nnz.c \
	Utility/cholmod_ones.c               Utility/cholmod_l_ones.c \
	Utility/cholmod_pack_factor.c        Utility/cholmod_l_pack_factor.c \
	Utility/cholmod_ptranspose.c         Utility/cholmod_l_ptranspose.c \
	Utility/cholmod_realloc.c            Utility/cholmod_l_realloc.c \
	Utility/cholmod_realloc_multiple.c   Utility/cholmod_l_realloc_multiple.c \
	Utility/cholmod_reallocate_column.c  Utility/cholmod_l_reallocate_column.c \
	Utility/cholmod_reallocate_factor.c  Utility/cholmod_l_reallocate_factor.c \
	Utility/cholmod_reallocate_sparse.c  Utility/cholmod_l_reallocate_sparse.c \
	Utility/cholmod_reallocate_triplet.c Utility/cholmod_l_reallocate_triplet.c \
	Utility/cholmod_sbound.c             Utility/cholmod_l_sbound.c \
	Utility/cholmod_score_comp.c         Utility/cholmod_l_score_comp.c \
	Utility/cholmod_set_empty.c          Utility/cholmod_l_set_empty.c \
	Utility/cholmod_sort.c               Utility/cholmod_l_sort.c \
	Utility/cholmod_sparse_to_dense.c    Utility/cholmod_l_sparse_to_dense.c \
	Utility/cholmod_sparse_to_triplet.c  Utility/cholmod_l_sparse_to_triplet.c \
	Utility/cholmod_speye.c              Utility/cholmod_l_speye.c \
	Utility/cholmod_spzeros.c            Utility/cholmod_l_spzeros.c \
	Utility/cholmod_start.c              Utility/cholmod_l_start.c \
	Utility/cholmod_transpose.c          Utility/cholmod_l_transpose.c \
	Utility/cholmod_transpose_sym.c      Utility/cholmod_l_transpose_sym.c \
	Utility/cholmod_transpose_unsym.c    Utility/cholmod_l_transpose_unsym.c \
	Utility/cholmod_triplet_to_sparse.c  Utility/cholmod_l_triplet_to_sparse.c \
	Utility/cholmod_version.c            Utility/cholmod_l_version.c \
	Utility/cholmod_xtype.c              Utility/cholmod_l_xtype.c \
	Utility/cholmod_zeros.c              Utility/cholmod_l_zeros.c \
	MatrixOps/cholmod_drop.c      MatrixOps/cholmod_l_drop.c \
	MatrixOps/cholmod_horzcat.c   MatrixOps/cholmod_l_horzcat.c \
	MatrixOps/cholmod_norm.c      MatrixOps/cholmod_l_norm.c \
	MatrixOps/cholmod_scale.c     MatrixOps/cholmod_l_scale.c \
	MatrixOps/cholmod_sdmult.c    MatrixOps/cholmod_l_sdmult.c \
	MatrixOps/cholmod_ssmult.c    MatrixOps/cholmod_l_ssmult.c \
	MatrixOps/cholmod_submatrix.c MatrixOps/cholmod_l_submatrix.c \
	MatrixOps/cholmod_symmetry.c  MatrixOps/cholmod_l_symmetry.c \
	MatrixOps/cholmod_vertcat.c   MatrixOps/cholmod_l_vertcat.c \
	Modify/cholmod_rowadd.c Modify/cholmod_l_rowadd.c \
	Modify/cholmod_rowdel.c Modify/cholmod_l_rowdel.c \
	Modify/cholmod_updown.c Modify/cholmod_l_updown.c \
	Partition/cholmod_camd.c          Partition/cholmod_l_camd.c \
	Partition/cholmod_ccolamd.c       Partition/cholmod_l_ccolamd.c \
	Partition/cholmod_csymamd.c       Partition/cholmod_l_csymamd.c \
	Partition/cholmod_metis.c         Partition/cholmod_l_metis.c \
	Partition/cholmod_metis_wrapper.c \
	Partition/cholmod_nesdis.c        Partition/cholmod_l_nesdis.c \
	Supernodal/cholmod_super_numeric.c  Supernodal/cholmod_l_super_numeric.c \
	Supernodal/cholmod_super_solve.c    Supernodal/cholmod_l_super_solve.c \
	Supernodal/cholmod_super_symbolic.c Supernodal/cholmod_l_super_symbolic.c
objects = $(sources:.c=.o)
archive = CHOLMOD.a

PKG_CPPFLAGS = -I./Include -I../SuiteSparse_config \
	-I../AMD/Include -I../COLAMD/Include \
	-I../CAMD/Include -I../CCOLAMD/Include \
	-I. -I./SuiteSparse_metis/include \
	-I./SuiteSparse_metis/GKlib -I./SuiteSparse_metis/libmetis

all : $(archive)

$(archive) : $(objects)
	rm -f $@
	$(AR) -cr $@ $(objects)
	$(RANLIB) $@

.c.o :
	$(CC) $(PKG_CPPFLAGS) $(CPPFLAGS) $(CFLAGS) -c $< -o $@

clean :
	@rm -f $(objects) $(archive)

=== src/SuiteSparse/COLAMD/Makefile ===
sources = Source/colamd.c Source/colamd_l.c Source/colamd_version.c
objects = $(sources:.c=.o)
archive = COLAMD.a

PKG_CPPFLAGS = -I./Include -I../SuiteSparse_config

all : $(archive)

$(archive) : $(objects)
	rm -f $@
	$(AR) -cr $@ $(objects)
	$(RANLIB) $@

.c.o :
	$(CC) $(PKG_CPPFLAGS) $(CPPFLAGS) $(CFLAGS) -c $< -o $*.o

clean :
	@rm -f $(objects) $(archive)

## rmatrix 1.7-0

=== debian/changelog ===
rmatrix (1.7-0-3) unstable; urgency=medium

  * debian/control: Refine run-time dependency on R 4.4.0 to r-base-core
    (addressing an emailed hint and now bug report)	(Closes: #1071940)
    
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 May 2024 07:50:17 -0500

rmatrix (1.7-0-2) unstable; urgency=medium

  * debian/control: Add explicit run-time dependency on R 4.4.0 or later

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 May 2024 12:51:16 -0500

rmatrix (1.7-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 May 2024 19:25:36 -0500

=== debian/control ===
Source: rmatrix
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.0), r-cran-lattice (>= 0.12-11.1)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
Homepage: https://cran.r-project.org/package=Matrix

Package: r-cran-matrix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-base-core (>= 4.4.0~), r-cran-lattice
Description: GNU R package of classes for dense and sparse matrices
 This CRAN package provides S4 classes and methods for numerical
 linear algebra using dense or sparse matrices.  The sparse matrix
 implementation uses code from the LDL sparse matrix package and 
 code from the Metis package of partitioning algorithms.

## rmatrix 1.7-1

=== debian/changelog ===
rmatrix (1.7-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Oct 2024 14:31:04 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.0), r-cran-lattice (>= 0.12-11.1)
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.1), r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git

## rmatrix 1.7-2

=== debian/changelog ===
rmatrix (1.7-2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Jan 2025 13:09:38 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.1), r-cran-lattice (>= 0.12-11.1)
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.2), r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git

## rmatrix 1.7-3

=== debian/changelog ===
rmatrix (1.7-3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Mar 2025 07:27:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.2), r-cran-lattice (>= 0.12-11.1)
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.3), r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git

## rmatrix 1.7-4

=== debian/changelog ===
rmatrix (1.7-4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Aug 2025 09:06:14 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.3), r-cran-lattice (>= 0.12-11.1)
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.5.1), r-cran-lattice (>= 0.12-11.1)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
 Homepage: https://cran.r-project.org/package=Matrix

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-nlme package
# Copyright 2004 - 2018 by Dirk Eddelbuettel <edd@debian.org>
#                       and Doug Bates <bates@stat.wisc.edu>

%:
	dh $@ --buildsystem R
